Confirm or dismiss an action
curl --request POST \
--url https://api.circuit.org/partner/actions/{actionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'circuit-partner-version: <circuit-partner-version>' \
--data '{}'import requests
url = "https://api.circuit.org/partner/actions/{actionId}"
payload = {}
headers = {
"circuit-partner-version": "<circuit-partner-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'circuit-partner-version': '<circuit-partner-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({})
};
fetch('https://api.circuit.org/partner/actions/{actionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.circuit.org/partner/actions/{actionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"circuit-partner-version: <circuit-partner-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.circuit.org/partner/actions/{actionId}"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("circuit-partner-version", "<circuit-partner-version>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.circuit.org/partner/actions/{actionId}")
.header("circuit-partner-version", "<circuit-partner-version>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.circuit.org/partner/actions/{actionId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["circuit-partner-version"] = '<circuit-partner-version>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"title": "<string>",
"state": "<string>",
"decisions": [
"<string>"
],
"message": "<string>",
"agentId": "<string>"
}{
"error": "<string>"
}API Reference
Confirm or dismiss an action
POST
/
partner
/
actions
/
{actionId}
Confirm or dismiss an action
curl --request POST \
--url https://api.circuit.org/partner/actions/{actionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'circuit-partner-version: <circuit-partner-version>' \
--data '{}'import requests
url = "https://api.circuit.org/partner/actions/{actionId}"
payload = {}
headers = {
"circuit-partner-version": "<circuit-partner-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'circuit-partner-version': '<circuit-partner-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({})
};
fetch('https://api.circuit.org/partner/actions/{actionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.circuit.org/partner/actions/{actionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"circuit-partner-version: <circuit-partner-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.circuit.org/partner/actions/{actionId}"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("circuit-partner-version", "<circuit-partner-version>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.circuit.org/partner/actions/{actionId}")
.header("circuit-partner-version", "<circuit-partner-version>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.circuit.org/partner/actions/{actionId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["circuit-partner-version"] = '<circuit-partner-version>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"title": "<string>",
"state": "<string>",
"decisions": [
"<string>"
],
"message": "<string>",
"agentId": "<string>"
}{
"error": "<string>"
}Authorizations
The permit the user approved for your app.
Headers
Allowed value:
"0.1"Path Parameters
Body
application/json
Available options:
confirm, dismiss Response
OK
Starts with op_ for a trade or transaction, aga_ for an agent change.
One sentence, verb first, as Circuit's own Activity shows it.
review, pending, done, dismissed or failed (see message).
What your app may send now: confirm, dismiss.
The agent this action started or changed.